import os

def main(iteration_nr,mod_nr):
    working_dir = 'K:\oxDNAitertest14\scenes'


    conf_file = 'iteration_'+str(iteration_nr)+'_mod_'+str(mod_nr)+'.conf'

    end_base_file = 'iteration_'+str(iteration_nr)+'_mod_'+str(mod_nr)+'end_bases.txt'

    cap_1_edges = []#store the edges that constitute the caps
    cap_2_edges = []


    max_th = 80.0
    min_th = -80.0 #threshold for top and bottom cap




    test_edge =  file_reader_end_bases(working_dir+'/'+end_base_file)

    test_conf = file_reader_conf_file(working_dir+'/'+conf_file)

    for n, i in enumerate(test_edge):
        if test_conf[i[0]][1] > max_th and test_conf[i[1]][1] > max_th:

            print 'top edge: ' +str(n+1)
            cap_1_edges.append(n+1)

        if test_conf[i[0]][1] < min_th and test_conf[i[1]][1] < min_th:
            print 'bottom edge: ' +str(n+1)
            cap_2_edges.append(n+1)

    return [cap_1_edges,cap_2_edges]


def file_reader_end_bases(path): # This function reads the base ids of the end bases from the end_base file to a list of list where index 0 is helix_1
    edges = []


    with open(path, 'r') as f:
            my_list = [line.rstrip('\n') for line in f]#split into lines that contain x-y coordinate



    for item in my_list:
        temp_list = item.split(' ')
        temp_list = [int(i) for i in temp_list[2:]]
        edges.append(temp_list)


    return edges

def file_reader_conf_file(path): # This function reads the base ids of the end bases from the end_base file to a list of list where index 0 is helix_1
    edges = []


    with open(path, 'r') as f:
            my_list = [line.rstrip('\n') for line in f]#split into lines that contain x-y coordinate



    for item in my_list[3:]:
        temp_list = item.split(' ')
        temp_list = [float(i) for i in temp_list[:3]]
        edges.append(temp_list)


    return edges

if __name__ == '__main__':
    main(1,1)