import threading
import cPickle
import itertools
import sys
import os
import time
import sendmail
import make_ma
import subprocess

from multiprocessing.dummy import Pool as ThreadPool


total_log_path = 'C:/Users/biomatadm.MBB-BM-D-BOXEN/Documents/maya/projects/oxDNAitertest19/scenes/overall_log_file.txt'

scaling_val = 1.5

if __name__ == "__main__":
    iteration =27 #Normally set to 1
    while True:
        path = 'C:/Users/biomatadm.MBB-BM-D-BOXEN/Documents/maya/projects/oxDNAitertest19/scenes/'
        win_path = 'C:\\Users\\biomatadm.MBB-BM-D-BOXEN\\Documents\\maya\\projects\\oxDNAitertest19\\scenes\\'




        ply_iterator_file_name= 'Made_ply_iteration_'+str(iteration)# wait for maya to make PLY files
        while not os.path.exists(path+ply_iterator_file_name):
            time.sleep(10)
            print('sleeping, waiting for ply')

        BSCOR_lines = []

        for n in range(8):
            mesh_filename = win_path + 'iteration_' + str(iteration) + '_mod_' + str(n)
            BSCOR_lines.append(mesh_filename)

        print BSCOR_lines

       

        pool = ThreadPool(8)

        results = pool.map(make_ma.new_rout, BSCOR_lines)


        time.sleep(3605)

        rpoly_file = open('C:/Users/biomatadm.MBB-BM-D-BOXEN/Documents/maya/projects/oxDNAitertest19/scenes/rpoly_done_it_'+str(iteration),'w+')#this file tells maya that the rpolys have been creates!
        rpoly_file.close()


        file_name = 'Iteration_' + str(iteration)
        while not os.path.exists(path+file_name):
            time.sleep(10)
            print('sleeping')



        len_indicator = 0
        while len_indicator < 3:#check that the file is done writing
            Iteration_file = open(path + file_name, 'r')
            len_indicator = len(Iteration_file.readlines())
            Iteration_file.close()
            time.sleep(1)

        #Send an emil with the progress to Erik to make him happy

        sendmail.sendmail(total_log_path,'erik.benson@ki.se','finnished another iteration',iteration)

        sendmail.sendmail(total_log_path, 'yevgent@kth.se', 'finnished another iteration', iteration)



        Iteration_file = open(path + file_name, 'r')
        Iteration_lines = Iteration_file.readlines()

        number_of_files = int(Iteration_lines[0])

        directory_list = Iteration_lines[1].rstrip().split(',')

        filename_list = Iteration_lines[2].split(',')
        nr_of_GPUS = 8

        print number_of_files
        print directory_list
        print(directory_list[0 * (nr_of_GPUS / 2):(0 + 1) * (nr_of_GPUS / 2)])
        print filename_list

        path = 'C:/Users/biomatadm.MBB-BM-D-BOXEN/Documents/oxDNAiter' #location of other python files from us
        sys.path.append(path)

        import ClientMain

        errors = [0, 0]
        edges_filenames = [0, 0]

        def threadMethod(number_of_files, directory_list, filename_list, host):
            t_name = threading.currentThread().getName()
            t_nr = int(t_name[-1])
            print(t_name)
            errors[t_nr], edges_filenames[t_nr] = ClientMain.main(number_of_files, directory_list, filename_list, host)
            # Add errors


        host_1 = '192.168.137.213'  # Add correct ip
        host_2 = '192.168.137.230'  # Add correct ip

        hosts = [host_1, host_2]

        nr_of_GPUS = 8

        #number_of_files = int(sys.argv[1])
        #directory_list = sys.argv[2].split(',')
        #filename_list = sys.argv[3].split(',')
        threads = []

        for i in range(2):
            t = threading.Thread(name='Thread server ' + str(i), target=threadMethod,
                                 kwargs={'number_of_files': number_of_files,
                                         'directory_list': directory_list[i * (nr_of_GPUS / 2):(i + 1) * (nr_of_GPUS / 2)],
                                         'filename_list': filename_list[i * number_of_files:(i + 1) * number_of_files],
                                         'host': hosts[i]})
            threads.append(t)
            t.start()
            print i

        for t in threads:
            t.join()
        print("Have the threads finished?")



        error_log_file = open('C:/Users/biomatadm.MBB-BM-D-BOXEN/Documents/maya/projects/oxDNAitertest19/scenes/error_log_file.txt', 'a')
        edge_log_file = open('C:/Users/biomatadm.MBB-BM-D-BOXEN/Documents/maya/projects/oxDNAitertest19/scenes/edges_filenames.txt', 'a')

        errors_chained = list(itertools.chain.from_iterable(errors))
        for i in errors_chained:
            error_log_file.write(str(i)+ ',')
        error_log_file.write('\n')
        error_log_file.close()

        edges_filenames_chained = list(itertools.chain.from_iterable(edges_filenames))

        for i in edges_filenames_chained:
            edge_log_file.write(i+ ',')

        edge_log_file.write('\n')
        edge_log_file.close()
        endfile = open('C:/Users/biomatadm.MBB-BM-D-BOXEN/Documents/maya/projects/oxDNAitertest19/scenes/Done_it_'+str(iteration),'w')#this file tells maya that the iteration is done!
        endfile.close()
        iteration += 1
        print 'done'
