#   Directories.py
#       created on: 7 March 2017
#
#           Author: Andreas Gadin

import os


class MakeDirectories:

    @staticmethod
    def makeDir(path, location):
        if os.path.isdir(path + '/' + location):
            pass
        else:
            os.mkdir(path + '/' + location)

    @staticmethod
    def main(directory_name):
        path = os.getcwd()

        MakeDirectories.makeDir(path, directory_name)

        path += '/' + directory_name

        MakeDirectories.makeDir(path, 'input')
        MakeDirectories.makeDir(path, 'output')
        MakeDirectories.makeDir(path, 'utils')

# Run if this script is the one that is invoked.
if __name__ == '__main__':
    directory_name = 'generic'
    MakeDirectories.main(directory_name)