#from matplotlib.text import _AnnotationBase

#_AnnotationBase
import os
import re


def read_rpoly(path,filename):#function that reads rpoly file to lines in a list and returns them
    file_path=path+'/'+filename
    with open(file_path,'r') as f:
        my_list = [line.rstrip('\n') for line in f]

    return my_list

def modify_helix(list,helix,change):#takes the rpoly file stored in LIST and modifies the helix (int) by the amuount change (int)
    line = list[helix+2]#bypases the header to find the line that describes the edge
    line_split = re.split('\s',line)#splits the line by spaces
    helix_len = int(line_split[2])#The lenght of the helix is stored in the third pos of the line
    helix_len += change #change it by the amount specified
    line_split[2] = str(helix_len)#put in the new value in the split string
    joined_line = ' '.join(line_split)
    print joined_line
    list[helix+2] = joined_line
    return list



def write_rpoly(path,filename,data):#Write the modified rpoly file
    file_path=path+'/'+filename
    with open(file_path,'w') as f:
        for i in data:
            f.write(i+'\n')

def mod_rpoly(path, file,edge,change,new_filename):#
    list = read_rpoly(path,file)
    list = modify_helix(list,edge,change)
    write_rpoly(path,new_filename,list)





if __name__ == '__main__':
    path='E:/Erik/Dropbox/exjobb/vhelix/cryopointer/small_cryopointer2/mod_rpoly'
    file='small_cryo2.rpoly'
    list = read_rpoly(path,file)
    print list[3]
    list = modify_helix(list,41,1)
    write_rpoly(path,'smallcryopointertest1_edge41_plus1.rpoly',list)